---
updatedAt: 2026-09-29T07:45:33.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# Get Sumsub ID share token

# Overview

Use this method to obtain a Sumsub ID share token so as to share the Sumsub ID profile with your partner as described in [Sumsub ID Connect](https://docs.sumsub.com/sumsub/docs/sumsub-id-connect).

<Callout icon="📘" theme="info">
  ### Note

  - By default, the Sumsub ID share token expires after 1800 seconds, unless otherwise specified in the request.
</Callout>

## Required permissions

This method requires the **Share applicants data** dashboard [permission](https://docs.sumsub.com/sumsub/docs/user-roles#permissions). [App tokens](https://docs.sumsub.com/sumsub/docs/app-tokens) and [team members](https://docs.sumsub.com/sumsub/docs/add-team-members) must have a [role](https://docs.sumsub.com/sumsub/docs/user-roles) that includes this permission; otherwise, the request fails with a permission error.

# Request example

```curl
curl -X POST \
     'https://api.sumsub.com/resources/accessTokens/sumsubIdShareToken' \
     -H 'content-type: application/json' \
     -H 'X-App-Token: <your-app-token>' \
     -H 'X-App-Access-Sig: <your-signature>' \
     -H 'X-App-Access-Ts: <unix-timestamp>' \
     -d '{
          "sumsubIdConnectToken": "snd-id-con-a-QWERTYUIfdejpsDR8a_cYeX9BU32QP_I_Hyc93saZcg5965PfGzrHGDEdrTRseop",
          "forClientId": "CoolCompanyLtd",
          "ttlInSecs": "1800"  
        }'
```

# Response explained

In the response, you will get a new Sumsub ID share token.

The following fields are returned:

| Field            | Type    | Description                                                                                          |
| :--------------- | :------ | :--------------------------------------------------------------------------------------------------- |
| `token`          | String  | The share token generated upon execution of the request.                                             |
| `forClientId`    | String  | Unique partner identifier as specified in the request.                                               |
| `sharingAllowed` | Boolean | Checks if Sumsub ID account has already given authorisation to share with the provided `forClientID` |

# Response examples

If the request is successfully sent and processed, you will get a response like the one below.

```json
{
  "token": "_act-snsId-87ju96yt-d0ae-43d6-81e9-a57d4f8e3768",
  "forClientId": "internal_staff",
  "sharingAllowed": true
}
```

If the request fails, you will receive an HTTP response containing an error code along with a message explaining the error. For example:

```json
{
  "code": 400,
  "correlationId": "acd9fed2554d53a5a49ccbdhtu57jg87",
  "description": "'forClientId' and 'sumsubIdConnectToken' must be provided for creating Sumsub ID share token"
}
```

## Error codes with descriptions

| Error code | Error name                       | Description                                                                                                                |
| ---------- | -------------------------------- | -------------------------------------------------------------------------------------------------------------------------- |
| 10600      | `sumsub-id-profile-not-found`    | The profile associated with the Sumsub ID Connect token could not be found. This could be because the profile was deleted. |
| 10601      | `sumsub-id-profile-blocked`      | The profile associated with the Sumsub ID Connect token has been blocked and cannot be used.                               |
| 10602      | `sumsub-id-app-disconnected`     | The profile associated with the Sumsub ID Connect token has revoked the connection between their Sumsub ID and your app.   |
| 10603      | `sumsub-id-access-token-invalid` | Sumsub ID Connect token is malformed or expired.                                                                           |
| 10604      | `sumsub-id-connect-disabled`     | Sumsub ID Connect is not enabled for your client key.                                                                      |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "sumsub-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.sumsub.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "name": "X-App-Token",
        "in": "header",
        "x-default": ""
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/resources/accessTokens/sumsubIdShareToken": {
      "post": {
        "summary": "Get Sumsub ID share token",
        "description": "",
        "operationId": "get-sumsub-id-share-token",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "sumsubIdConnectToken",
                  "forClientId"
                ],
                "properties": {
                  "sumsubIdConnectToken": {
                    "type": "string",
                    "description": "Access token that you can obtain through either [installing the Sumsub package](https://www.npmjs.com/package/@sumsub/id-connect#installation) and using [this method](https://docs.sumsub.com/sumsub/reference/get-sumsub-id-connect-token), or the [standard OAuth 2.0 protocol](https://oauth.net/2/)."
                  },
                  "forClientId": {
                    "type": "string",
                    "description": "<p>Unique identifier of the partner with whom the <code>applicantId</code> can be shared (ask the partner for their id).</p><p>You can also obtain this identifier in the following ways:</p><ul><li>From the Dashboard — visible in the top-left corner of the applicant profile, adjacent to the applicant ID.</li><li>From the <a href=\"ref:get-applicant-data\">Get applicant data</a> API response — in the root <code>clientId</code> field.</li></ul>"
                  },
                  "ttlInSecs": {
                    "type": "integer",
                    "description": "Lifespan of the generated token in seconds (30 minutes by default).",
                    "default": 1800,
                    "format": "int32"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```